Package org.eclipse.emf.cdo.util

# Class ContextOperationAuthorization

java.lang.Object
org.eclipse.emf.cdo.util.ContextOperationAuthorization

public final class ContextOperationAuthorization extends Object

Since:
  4.28
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CONTEXT_PARAMETER`

## Constructor Summary

Constructors
Constructor
Description
`ContextOperationAuthorization(String... operationIDs)`
`ContextOperationAuthorization(EObject context, String... operationIDs)`

## Method Summary

Modifier and Type
Method
Description
`EObject`
`getContext()`
`static EObject`
`getContext(org.eclipse.net4j.util.security.operations.AuthorizableOperation operation)`
`Set<String>`
`getOperationsIDs()`
`String`
`getVeto(String operationID)`
`boolean`
`isDenied(String operationID)`
`boolean`
`isGranted(String operationID)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CONTEXT_PARAMETER

public static final String CONTEXT_PARAMETER

See Also:
  - Constant Field Values

## Constructor Details

### ContextOperationAuthorization

public ContextOperationAuthorization(String... operationIDs)

### ContextOperationAuthorization

public ContextOperationAuthorization(EObject context, String... operationIDs)

## Method Details

### getContext

public EObject getContext()

### getOperationsIDs

public Set<String> getOperationsIDs()

### getVeto

public String getVeto(String operationID)

### isDenied

public boolean isDenied(String operationID)

### isGranted

public boolean isGranted(String operationID)

### getContext

public static EObject getContext(org.eclipse.net4j.util.security.operations.AuthorizableOperation operation)